%set_verify_elf_method none
Name: 		ede
Version: 	2.0
Release: 	23.1
Source: 	%{name}-%{version}.tar.gz
Summary:	Core programs for the Equinox Desktop Environment
URL: 		http://ede.sourceforge.net/
License: 	GPL
Group: 		Graphical desktop/Other
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++, jam, edelib, edelib-devel, libfltk-devel, libpng-devel, libjpeg-devel, libXext-devel

%description
Equinox Desktop Environment (EDE) is desktop environment - the piece of
software that enables you to launch applications in a convenient way,
show what windows you have opened, manages icons and background of your
desktop, etc. This core package provides panel with tasklist, clock,
load status; icon manager that take care of your icons on background,
control panel for easy access to your settings, sound volume control, 
color configuration, panel configuration, menu editor, icons configuration, 
tips, time/date and timezone configuration, fast file search tool and of 
course window manager that manages your windows with config utility.

%prep
%setup -q

%build
sed -i 's|-lstdc++|"-lstdc++ -lm -ldl -lX11 -lXext"|' Jamconfig.in
%configure
make prefix=$RPM_BUILD_ROOT%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall docdir=$RPM_BUILD_ROOT/%{_datadir}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/dbus-1/services/*
%{_datadir}/desktop-directories/*
%{_datadir}/ede
%{_datadir}/doc/*
%{_datadir}/icons/*
%{_datadir}/mime/packages/*
%{_datadir}/pekwm
%{_datadir}/wallpapers/*
%{_datadir}/xsessions/*
%{_sysconfdir}/pekwm
%{_sysconfdir}/xdg/ede
%{_sysconfdir}/xdg/menus/*

%changelog
* Mon May 28 2012 Huaren Zhong <huaren.zhong@gmail.com> - 2.0
- Rebuild for Fedora

*  Mon Jan 31 2005 Vedran Ljubovic <vljubovic@smartnet.ba> 1.0.2-1ede
- new build system in EDE
- Better distro-independance
- Patches merged upstream

*  Fri Dec 17 2004 Vedran Ljubovic <vljubovic@smartnet.ba> 1.0.1.1-2
- Patch for GCC 3.4 and a possible typo
- Fix for prefix to make (code uses it and so a bunch of stuff doesn't work)
- Remove locale (doesn't seem to get made?)
- Some mandrake specific stuff

*  Mon Jan 01 2004 nobody <nobody@nobody> 1.0.1.1-1
- Initial autogenerated release
